import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Structure } from '../models/structure.model';

@Injectable({
  providedIn: 'root',
})
export class RdvsService {
  private readonly rdvsBaseUrl = 'https://www.rdv-aide-numerique.fr/resin';
  constructor(private http: HttpClient) {}

  public sendStructureArray(structureArray: Structure[]): void {
    const idsArray = structureArray.map((_structure) => _structure.idCNFS);
    const url = `${this.rdvsBaseUrl}/${idsArray.join(',')}`;
    window.open(url, '_blank');
  }

  public goToRDVS(idCnfs) {
    const url = this.rdvsBaseUrl + '/' + idCnfs;
    window.open(url, '_blank');
  }
}
